New iMac (2011) is running 10.6.6 and not 10.6.7

Discussion in 'macOS' started by Cole JM, May 3, 2011.

  1. Cole JM macrumors regular

    Joined:
    Mar 13, 2011
    #1
    New iMac (2011) is running 10.6.6 and not 10.6.7, why is this?
    it also doesnt come up in Software update
     
  2. ECUpirate44 macrumors 603

    ECUpirate44

    Joined:
    Mar 22, 2010
    Location:
    NC
    #2
    Wasn't 10.6.7 just to fix the external display flickering issue with the MBP?
     
  3. Cole JM thread starter macrumors regular

    Joined:
    Mar 13, 2011
    #3
    Odd
     
  4. ECUpirate44 macrumors 603

    ECUpirate44

    Joined:
    Mar 22, 2010
    Location:
    NC
    #4
    Not positive at all though.
     
  5. thedubman129 macrumors newbie

    Joined:
    Apr 24, 2011
    #5
    Same Here! No 10.6.7...doesnt even show up in software update. I called apple. they dont have any info on why. All the rep said is the new model might have any bug fixed and so it doesnt need 10.6.7...

    That dont sound right tho.
     
  6. Cole JM thread starter macrumors regular

    Joined:
    Mar 13, 2011
    #6
    The only reason I knew is because Steam said it couldn't install portal 2 on 10.6.6. strange. We will see.
     
  7. SideStepSociety macrumors 6502

    SideStepSociety

    Joined:
    Feb 12, 2011
    Location:
    Vancouver, BC
    #7
    You should attempt downloading the Combo Update from Apple and see if it installs.
     
  8. Cole JM thread starter macrumors regular

    Joined:
    Mar 13, 2011
    #8
    Yep. I tried, didnt work.
     
  9. SideStepSociety macrumors 6502

    SideStepSociety

    Joined:
    Feb 12, 2011
    Location:
    Vancouver, BC
    #9
    Very strange. My guess is you'll see a custom build update fairly soon, like the MBP's got.
     
  10. formkatze macrumors newbie

    Joined:
    Nov 18, 2004
    #10
    I hope it happens really soon. I'm dying to see Portal 2 on my new Mac!
     
  11. bendodson macrumors member

    bendodson

    Joined:
    Jul 12, 2008
    Location:
    UK
    #11
    I managed to get Portal 2 working on my new 27" iMac by editing a system file to fool Steam into believing that you are running 10.6.7 - I believe the 10.6.7 requirement is because of new ATI graphics drivers that were bundled with that release and therefore this is quite safe (as the 10.6.6 build on the new iMacs obviously has the drivers for the machine).

    I've posted the full details at http://bendodson.com/weblog/2011/05/04/portal-2-on-the-new-imac-10-6-6/ but basically you need to change the SystemVersion.plist file in your /System/Library/CoreServices/ directory so that the two references to 10.6.6 are changed to 10.6.7 - Steam will still complain but when you say "continue anyway" it'll actually run.

    Enjoy!
     
  12. heartm00d macrumors newbie

    Joined:
    May 27, 2011
    Location:
    Germany
    #12
    10.6.7 combo update doesn't work

    I downloaded the 10.6.7 combo and the hdd icon shows the yellow warning mark in the installer program.:mad:
     

Share This Page